CMSIS-DSP: Globals

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - r -

- arm_radix2_butterfly_f16() : arm_cfft_radix2_f16.c
- arm_radix2_butterfly_f32() : arm_cfft_radix2_f32.c
- arm_radix2_butterfly_inverse_f16() : arm_cfft_radix2_f16.c
- arm_radix2_butterfly_inverse_f32() : arm_cfft_radix2_f32.c
- arm_radix2_butterfly_inverse_q15() : arm_cfft_radix2_q15.c
- arm_radix2_butterfly_inverse_q31() : arm_cfft_radix2_q31.c
- arm_radix2_butterfly_q15() : arm_cfft_radix2_q15.c
- arm_radix2_butterfly_q31() : arm_cfft_radix2_q31.c
- arm_radix4_butterfly_f16() : arm_cfft_f16.c , arm_cfft_radix4_f16.c
- arm_radix4_butterfly_f32() : arm_cfft_radix4_f32.c , arm_rfft_f32.c
- arm_radix4_butterfly_f64() : arm_cfft_f64.c
- arm_radix4_butterfly_inverse_f16() : arm_cfft_radix4_f16.c
- arm_radix4_butterfly_inverse_f32() : arm_rfft_f32.c , arm_cfft_radix4_f32.c
- arm_radix4_butterfly_inverse_q15() : arm_cfft_q15.c , arm_cfft_radix4_q15.c
- arm_radix4_butterfly_inverse_q31() : arm_cfft_q31.c , arm_cfft_radix4_q31.c
- arm_radix4_butterfly_q15() : arm_cfft_q15.c , arm_cfft_radix4_q15.c
- arm_radix4_butterfly_q31() : arm_cfft_q31.c , arm_cfft_radix4_q31.c
- arm_radix8_butterfly_f16() : arm_cfft_radix8_f16.c
- arm_radix8_butterfly_f32() : arm_cfft_f32.c , arm_cfft_radix8_f32.c
- arm_recip_q15() : utils.h
- arm_recip_q31() : utils.h
- arm_rfft_f32() : transform_functions.h , arm_rfft_f32.c
- arm_rfft_fast_f16() : transform_functions_f16.h , arm_rfft_fast_f16.c
- arm_rfft_fast_f32() : transform_functions.h , arm_rfft_fast_f32.c
- arm_rfft_fast_f64() : transform_functions.h , arm_rfft_fast_f64.c
- arm_rfft_fast_init_f16() : transform_functions_f16.h , arm_rfft_fast_init_f16.c
- arm_rfft_fast_init_f32() : arm_rfft_fast_init_f32.c , transform_functions.h
- arm_rfft_fast_init_f64() : transform_functions.h , arm_rfft_fast_init_f64.c
- arm_rfft_fast_sR_f32_len1024 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len128 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len2048 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len256 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len32 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len4096 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len512 : arm_const_structs.c
- arm_rfft_fast_sR_f32_len64 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len1024 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len128 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len2048 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len256 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len32 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len4096 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len512 : arm_const_structs.c
- arm_rfft_fast_sR_f64_len64 : arm_const_structs.c
- arm_rfft_init_f32() : transform_functions.h , arm_rfft_init_f32.c
- arm_rfft_init_q15() : transform_functions.h , arm_rfft_init_q15.c
- arm_rfft_init_q31() : arm_rfft_init_q31.c , transform_functions.h
- arm_rfft_q15() : transform_functions.h , arm_rfft_q15.c
- arm_rfft_q31() : arm_rfft_q31.c , transform_functions.h
- arm_rfft_sR_q15_len1024 : arm_const_structs.c
- arm_rfft_sR_q15_len128 : arm_const_structs.c
- arm_rfft_sR_q15_len2048 : arm_const_structs.c
- arm_rfft_sR_q15_len256 : arm_const_structs.c
- arm_rfft_sR_q15_len32 : arm_const_structs.c
- arm_rfft_sR_q15_len4096 : arm_const_structs.c
- arm_rfft_sR_q15_len512 : arm_const_structs.c
- arm_rfft_sR_q15_len64 : arm_const_structs.c
- arm_rfft_sR_q15_len8192 : arm_const_structs.c
- arm_rfft_sR_q31_len1024 : arm_const_structs.c
- arm_rfft_sR_q31_len128 : arm_const_structs.c
- arm_rfft_sR_q31_len2048 : arm_const_structs.c
- arm_rfft_sR_q31_len256 : arm_const_structs.c
- arm_rfft_sR_q31_len32 : arm_const_structs.c
- arm_rfft_sR_q31_len4096 : arm_const_structs.c
- arm_rfft_sR_q31_len512 : arm_const_structs.c
- arm_rfft_sR_q31_len64 : arm_const_structs.c
- arm_rfft_sR_q31_len8192 : arm_const_structs.c
- arm_rms_f16() : statistics_functions_f16.h , arm_rms_f16.c
- arm_rms_f32() : statistics_functions.h , arm_rms_f32.c
- arm_rms_q15() : arm_rms_q15.c , statistics_functions.h
- arm_rms_q31() : statistics_functions.h , arm_rms_q31.c
- arm_rogerstanimoto_distance() : distance_functions.h , arm_rogerstanimoto_distance.c
- arm_rotation2quaternion_f32() : arm_rotation2quaternion_f32.c , quaternion_math_functions.h
- arm_russellrao_distance() : arm_russellrao_distance.c , distance_functions.h
- read_q15x2() : arm_math_memory.h
- read_q15x2_da : arm_math_memory.h
- read_q15x2_ia : arm_math_memory.h
- read_q7x4() : arm_math_memory.h
- read_q7x4_da : arm_math_memory.h
- read_q7x4_ia : arm_math_memory.h
- realCoefA : arm_common_tables.h , arm_common_tables.c
- realCoefAQ15 : arm_common_tables.h , arm_common_tables.c
- realCoefAQ31 : arm_common_tables.h , arm_common_tables.c
- realCoefB : arm_common_tables.h , arm_common_tables.c
- realCoefBQ15 : arm_common_tables.h , arm_common_tables.c
- realCoefBQ31 : arm_common_tables.c , arm_common_tables.h
- refDotProdOut : arm_dotproduct_example_f32.c
- refIndex : arm_fft_bin_example_f32.c
- refOutput : arm_fir_data.c , arm_fir_example_f32.c
- refVarianceOut : arm_variance_example_f32.c
- RI : arm_rotation2quaternion_f32.c
- ROUND_UP : utils.h